package su.a71.new_soviet.blocks;

import net.minecraft.block.*;
import net.minecraft.block.piston.PistonBehavior;
import net.minecraft.entity.Entity;
import net.minecraft.entity.LivingEntity;
import net.minecraft.entity.player.PlayerEntity;
import net.minecraft.particle.ParticleTypes;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.math.MathHelper;
import net.minecraft.util.math.Vec3d;
import net.minecraft.util.math.random.Random;
import net.minecraft.util.shape.VoxelShape;
import net.minecraft.world.BlockView;
import net.minecraft.world.GameRules;
import net.minecraft.world.World;
import su.a71.new_soviet.registration.NSE_Blocks;
import su.a71.new_soviet.registration.NSE_Sounds;


public class GooBlock extends SnowBlock {
    private final double entity_speed;
    public GooBlock(Settings settings, double entity_speed) {
        super(settings.sounds(NSE_Sounds.GOO_SOUNDS).pistonBehavior(PistonBehavior.DESTROY));
        this.entity_speed = entity_speed;
        this.setDefaultState((BlockState)((BlockState)this.stateManager.getDefaultState()).with(LAYERS, 1));
    }

    public VoxelShape getCollisionShape(BlockState state, BlockView world, BlockPos pos, ShapeContext context) {
        Integer layers_count = 3;
        if (state.get(LAYERS) - layers_count <= 0) {
            return Block.createCuboidShape(0.0, 0.0, 0.0, 16.0, 0.1, 16.0);
        }
        return LAYERS_TO_SHAPE[state.get(LAYERS) - layers_count];
    }
}